05 « 1.2.3.4.5.6.7.8.9.10.11.12.13.14.15.16.17.18.19.20.21.22.23.24.25.26.27.28.29.30.» 07

スポンサーサイト 

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Posted on --/--/-- --. --:-- [edit]

category: スポンサー広告

TB: --    CM: --

--

PostgreSQL(libpq) Version を合わせる 

 新しいバージョンの phpと Postgresをインストールしたので、phpinfo() を眺めていると気になる事が、Postgresのバージョンは「8.4.7」、ところが phpモジュールのlibpgバージョンは「8.1.23」

psql --version
------------------------------
psql (PostgreSQL) 8.4.7
------------------------------

phpinfo()
2011061101.png


 ということで対応


PDOのドライバの方は簡単です一発で終わります。
------------------------------
pecl install pdo_pgsql
------------------------------

 php本体のpgsqlモジュールはソースからコンパイルしますので、インストールしたphpと同じバージョンのソースを本家からダウンロードしておきます。(今回は5.3.6)

・適当な場所に展開
tar xvjf php-5.3.6.tar.bz2

・pgsqlモジュールのディレクトリへ移動
cd php-5.3.6/ext/pgsql/

・コンパイルしてインストール
phpize
./configure
make
make test
make install

・インストールが終わったらApacheを再起動
service httpd restart

phpinfo() で確認して終了
2011061102.png


スポンサーサイト

Posted on 2011/06/11 Sat. 15:54 [edit]

category: サーバ

thread: Linux  -  janre: コンピュータ

TB: 0    CM: 0

11

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。